// --------------------------------------------------------------------------
// Faq
// --------------------------------------------------------------------------

.faq {
    padding: 30px 0 100px;

    & + .contacts {

        @include breakpointMax(xl) {
            background: #ffffff;
        }
    }

    @include breakpointMax(lg) {
        padding: 0 0 60px;
    }

    @include breakpointMax(md) {
        padding: 20px 0 0;
    }
}

.faq__container {
    margin: 0 auto;
    max-width: 869px;

    @include breakpointMax(xl) {
        padding: 0 55px;
        max-width: 100%;
    }

    @include breakpointMax(lg) {
        padding: 0 45px;
    }

    @include breakpointMax(md) {
        padding: 0 20px;
    }
}

.faq__row {
    display: flex;

    @include breakpointMax(lg) {
        align-items: center;
    }

    @include breakpointMax(md) {
        flex-wrap: wrap;
    }
}

.faq__head-left,
.faq__head-right {
    padding: 0;
}

.faq__title {
    margin: 0;
    font-size: 40px;
    font-weight: 400;
    line-height: 47px;
    text-align: left;

    @include breakpointMax(xl) {
        font-size: 34px;
        line-height: 40px;
    }

    @include breakpointMax(lg) {
        font-size: 26px;
        line-height: 30px;
    }

    @include breakpointMax(md) {
        font-weight: 700;
    }
}

.faq__subtitle {

    @include breakpointMax(xl) {
        max-width: 383px;
    }
}

.faq__text-wrap {
    padding: 38px 21px;
    background: #F6F9FB;

    @include breakpointMax(xl) {
        max-width: 455px;
    }
}

.faq__text {
    margin: 0;

    & a {
        color: #00757E;
        text-decoration: none;
    }

    @include breakpointMax(lg) {
        max-width: 268px;
    }
}

.faq__list-header {
    margin: 15px 0 40px;
    max-width: 869px;
    border-bottom: 0.5px solid #82828282;

    @include breakpointMax(xl) {
        margin-bottom: 25px;
    }

    @include breakpointMax(md) {
        margin: 40px 0 30px;
    }
}

.faq__list-title {
    margin: 0;
    padding: 16px 0;
    display: inline-block;
    position: relative;
    top: 3px;
    font-size: 22px;
    font-weight: 500;
    line-height: 26px;
    color: #00757E;
    border-bottom: 3px solid #00757E;

    @include breakpointMax(lg) {
        font-size: 20px;
        font-weight: 700;
        line-height: 32px;
    }

    @include breakpointMax(md) {
        padding: 20px 0;
    }
}

.faq__list {
    margin: 0 auto;
    padding: 0;
    list-style: none;
    max-width: 866px;

    & > li {
        margin: 0 0 10px;
        &:last-child {
            margin: 0;
        }

        @include breakpointMax(md) {
            margin: 0 0 20px;
        }
    }

    @include breakpointMax(xl) {
        margin: 0;
    }
}

.faq__item {
    position: relative;
    display: block;
    padding: 16px 16px 16px 50px;
    background: #fff;
    box-shadow: 0px 3px 8px rgba(32, 75, 122, 0.4);
    color: #333;

    @include breakpoint(md) {
        background: #F6F9FB;
        border-radius: 3px;
        box-shadow: none;
        background: #F6F9FB;
        padding: 20px 25px 20px 60px;
    }

    @include breakpoint(lg) {
        padding: 31px 33px 31px 77px;
    }

    @include breakpointMax(md) {
        padding: 16px 0 0;
    }
}

.faq__item-icon {
    position: absolute;
    top: 16px;
    left: 16px;
    width: 25px;
        height: 25px;
    svg {
        fill: none;
        stroke: #00757E;
        stroke-width: 2;
        width: 100%;
        height: 100%;
        
        .faq__item.is-open & {
            stroke: currentColor;

            @include breakpointMax(md) {
                stroke: #00757E;
            }
        }
    }

    @include breakpoint(md) {
        top: 20px;
        left: 20px;
        width: 28px;
        height: 28px;
    }

    @include breakpoint(lg) {
        width: 32px;
        height: 32px;
        top: 26px;
        left: 26px;
    }
}

.faq__item-toggle {
    display: block;
    font-size: 16px;
    line-height: 1.62;
    font-weight: 400;
    color: #00757E;
    cursor: pointer;

    .faq__item.is-open & {
        font-weight: 700;
        color: #333333;
    }

    @include breakpointMax(lg) {
        font-weight: 700;
    }

    @include breakpointMax(md) {
        padding: 0 14px 16px 50px;
        font-weight: 400;
        color: #333333;
    }
}

.faq__item-content {
    display: none;
    padding: 12px 0 0;
    color: #333333;

    p {
        margin: 0 0 20px;

        &:last-child {
            margin: 0;
        }
    }

    @include breakpointMax(md) {
        padding-left: 14px;
        padding-right: 14px;
        padding-bottom: 16px;
        border-top: solid 2px #00757E;
    }
}

.faq__footer {
    margin-top: 150px;

    @include breakpointMax(xl) {
        margin-top: 175px;
    }

    @include breakpointMax(lg) {
        margin-top: 105px;
        padding: 0 45px;
    }

    @include breakpointMax(md) {
        margin-top: 70px;
        padding: 0;
    }
}

.faq__support-block {
    margin: 0 auto;
    padding: 46px 50px 46px 25px;
    position: relative;
    background: #F6F9FB;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1070px;
    width: 100%;

    @include breakpointMax(xl) {
        padding: 30px 45px 30px 20px;
        max-width: 916px;
    }

    @include breakpointMax(lg) {
        justify-content: flex-start;
    }

    @include breakpointMax(md) {
        padding: 55px 0;
        flex-direction: column;
        max-width: 100%;
    }
}

.support-block__image {
    margin: 0;
    
    & img {
        position: absolute;
        bottom: 0px;
        max-width: 196px;

        @include breakpointMax(lg) {
            max-width: 152px;
        }

        @include breakpointMax(lg) {
            bottom: 20px;
        }

        @include breakpointMax(md) {
            margin-top: 60px;
            position: static;
        }
    }

    @include breakpointMax(md) {
        display: flex;
        order: 2;
    }
}

.support-block__content {
    margin-left: 65px;

    @include breakpointMax(xl) {
        margin-left: 150px;
    }

    @include breakpointMax(lg) {
        margin-left: 175px;
    }

    @include breakpointMax(md) {
        margin-left: 0;
    }
}

.support-block__title {
    margin: 0;
    font-size: 22px;
    font-weight: 400;
    line-height: 26px;

    @include breakpointMax(lg) {
        font-size: 20px;
        line-height: 26px;
    }

    @include breakpointMax(md) {
        font-size: 24px;
        line-height: 32px;
        text-align: center;
    }
}

.support-block__text {
    margin: 5px 0 0;

    @include breakpointMax(xl) {
        max-width: 423px;
    }

    @include breakpointMax(lg) {
        max-width: 250px;
    }

    @include breakpointMax(md) {
        margin: 10px auto 0;
        max-width: 100%;
        text-align: center;
    }
}

.support-block__button {
    padding: 18px 30px;
    height: 100%;
    font-size: 16px;
    line-height: 19px;

    @include breakpointMax(lg) {
        position: absolute;
        bottom: 30px;
        right: 30px;
        height: auto;
        font-weight: 700;
    }

    @include breakpointMax(lg) {
        position: relative;
        top: -10px;
        right: unset;
        font-weight: 500;
        order: 3;
    }
}